//*****************************************************************************************
//Description: Aircraft factory configurations.
//*****************************************************************************************
Private["_c","_config","_data","_m","_p","_pilotCost","_t","_total","_u"];

//WEST

_u = ["CH_47F_BAF"];
_c =  [40];
_m =  [2];
_t =  [40];
_p = [30];

_u = _u		+ ["BAF_Merlin_HC3_D"];
_c = _c		+ [40];
_m = _m		+ [2];
_t = _t		+ [40];
_p = _p		+ [30];



_pilotCost = 75;


//westAircraftDescriptions = [];
//westAircraftFactions = [];
//westAircraftImages = [];
//westAircraftMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	westAircraftMannedCosts = westAircraftMannedCosts + [(_c Select _count) + (_m Select _count) * _pilotCost];
	westAircraftDescriptions = westAircraftDescriptions + [GetText (_config >> "displayName")];
	westAircraftFactions = westAircraftFactions + [Localize "STR_FN_USMC"];
	westAircraftImages = westAircraftImages + [GetText (_config >> "picture")];
};

westAircraftUnits = westAircraftUnits + _u;
westAircraftCosts = westAircraftCosts + _c;
westAircraftCrews = westAircraftCrews + _m;
westAircraftTimes = westAircraftTimes + _t;
westAircraftPoints = westAircraftPoints + _p;



aircraftUnits = westAircraftUnits;
aircraftUnitCosts = westAircraftCosts;
aircraftUnitDescriptions = westAircraftDescriptions;

//Determine longest build time.
longestAircraftBuildTime = 0;
_t = westAircraftTimes;
for [{_count = Count _t - 1},{_count >= 0},{_count = _count - 1}] do
{
	if (_t Select _count > longestAircraftBuildTime) then
	{
		longestAircraftBuildTime = _t Select _count;
	};
};

//*****************************************************************************************
//6/13/7 MM - Created file.
